## lua5.1-policy 6

=== doc/Makefile ===
all: html/policy.html

html/%.html:%.txt
	echo "<html>" > $@
	echo "<head>" >> $@
	echo "<title>"$*"</title>" >> $@
	echo '<link type="text/css" rel="stylesheet" href="style.css"/>' >> $@
	echo "</head>" >> $@
	echo "<body>" >> $@
	markdown $< >> $@
	echo "</body>" >> $@
	echo "</html>" >> $@
	
clean:
	rm -f html/policy.html

=== debian/changelog ===
lua5.1-policy (6) unstable; urgency=low

  * app.c now supports argument passing as the lua interpreter does.
    You can now pass arguments to the tests scripts.
  * Tests are skipped if LUA_TEST field is empty
  * Support for multiple packages from the same source package (i.e. 
    bindings with multiple backends like luasql or luacrypto).
  * Makefile.Debian renamed to Makefile.Debian.single
  * Added the "iterator" Makefile.Debian.multiple
  * lua5.1-policy-apply now adds a symbolic link:
             Makefile.Debian -> Makefile.Debian.multiple
  * Updated policy.txt accordingly.
  * Added XS-X-Vcs-svn to control.

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri,  6 Oct 2006 22:17:23 +0200

lua5.1-policy (5) unstable; urgency=low

  * Fixed an inverted conditional expression that prevented the setting
    of mergeWithUpstream svn property.

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue,  3 Oct 2006 13:36:22 +0200

lua5.1-policy (4) unstable; urgency=low

  * Fixed Makefile.Debian so that no -doc package is assumed.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 16 Sep 2006 12:28:42 +0200

lua5.1-policy (3) unstable; urgency=low

  * Some minor issues fixed:
    - no more -doc/-dev distinction (always -dev)
    - added mention of '-' as a separator between the package name and the abi
      if the package name ands with a digit

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 16 Sep 2006 11:59:07 +0200

lua5.1-policy (2) unstable; urgency=low

  * added Recommends: subversion (the
    lua5.1-policy-create-svnbuildpackage-layout now works even if subversion
    is not available)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 28 Aug 2006 15:42:24 +0200

lua5.1-policy (1) unstable; urgency=low

  * Initial release. (Closes: #384743)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 26 Aug 2006 15:07:15 +0200

## lua5.1-policy 7

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 all: html/policy.html
 
+used-vars:
+	lua get_used_vars.lua 
+
 html/%.html:%.txt
-	echo "<html>" > $@
+	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' > $@
+	echo "<html>" >> $@
 	echo "<head>" >> $@
 	echo "<title>"$*"</title>" >> $@
 	echo '<link type="text/css" rel="stylesheet" href="style.css"/>' >> $@

=== debian/changelog ===
lua5.1-policy (7) unstable; urgency=low

  * Fixed statically/dynamically linked app.c tests using package.preload

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Dec 2006 18:52:18 +0100

=== debian/control ===
Source: lua5.1-policy
Section: doc
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), markdown
Standards-Version: 3.7.2
XS-X-Vcs-svn: svn://svn.debian.org/pkg-lua/packages/lua5.1-policy

Package: lua5.1-policy
Architecture: all
Depends: 
Description: lua5.1 debian policy
 This package contains the debian policy for the debian packages relative to
 the lua5.1 scripting language.

Package: lua5.1-policy-dev
Section: devel
Recommends: subversion
Architecture: all
Depends: libtool, pkg-config, lua5.1, liblua5.1-0-dev, cdbs (>= 0.4.33), make
Description: lua5.1 debian policy - template and scripts
 This package contains some template/support files (like a generic Makefile, a
 generic test application...) that can be used by lua libraries at compile
 time. It also includes a simple script that sets up an svn directory
 conforming to svn-buildpackage and populates it with the standard files needed
 to use lua5.1-policy-dev at build time. Obviously packages made using
 lua5.1-policy-dev will conform to the policy contained in lua5.1-policy.

## lua5.1-policy 11

=== debian/changelog ===
lua5.1-policy (11) unstable; urgency=low

  * Removed post-test-hook from the sample configuration file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 19 Jun 2007 10:39:24 +0100

lua5.1-policy (10) unstable; urgency=low

  * Fixed sublte bug in the clean target that was not removing .libs/
    in subdirectories

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 16 May 2007 15:06:13 +0200

lua5.1-policy (9) unstable; urgency=low

  * fixed svn repository url in control file
  * added a clarification about (pre|post)-clean-hook makefile hooks
  * added (pre|post)-clean-hook in the sample configuration file
  * removed bashisms, thanks Alexandre Erwin for bugreporting

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 23 Feb 2007 10:47:11 +0100

lua5.1-policy (8) unstable; urgency=low

  * added -r --reverse option to lua5.1-policy-apply that should be hooked
    to the clean:: target
  * updated doc and templates according to the new option

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 15 Feb 2007 11:41:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), markdown
 Standards-Version: 3.7.2
-XS-X-Vcs-svn: svn://svn.debian.org/pkg-lua/packages/lua5.1-policy
+XS-X-Vcs-svn: svn://svn.debian.org/pkg-lua/packages/policy
 
 Package: lua5.1-policy
 Architecture: all

## lua5.1-policy 17

=== debian/changelog ===
lua5.1-policy (17) unstable; urgency=low

  * removed -e in echo so that it is dash compatible (Thanks Michael Bienia
    for spotting that)
  * added Homepage control field
  * updated to debian-policy 3.7.3
  * removed X- from XS-VCS-Svn control field

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 10 Dec 2007 21:40:04 +0100

lua5.1-policy (16) unstable; urgency=low

  * Fixed regression in handling install.in files introduced in the former
    release.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Oct 2007 15:54:37 +0200

lua5.1-policy (15) unstable; urgency=low

  * Fixed a syntax error in Makefile.Debian.single

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 11 Sep 2007 23:41:27 +0200

lua5.1-policy (14) unstable; urgency=low

  * .install files are not removed by mistake anymore
  * Default watch file now uses .tar.gz instead of .tgz

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 11 Sep 2007 23:23:50 +0200

lua5.1-policy (13) unstable; urgency=low

  * Renamed obesolete cdbs variable: TEST_TARGET -> CHECK_TARGET

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:49:37 +0200

lua5.1-policy (12) unstable; urgency=low

  * Moved from DEB_MAKE_TEST_TARGET to DEB_MAKE_CHECK_TARGET since the
    former is obsolete
  * Tests are run only if DEB_HOST_ARCH and DEB_BUILD_ARCH are equal

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jun 2007 17:35:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), markdown
-Standards-Version: 3.7.2
-XS-X-Vcs-svn: svn://svn.debian.org/pkg-lua/packages/policy
+Standards-Version: 3.7.3
+XS-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/policy
+Homepage: http://pkg-lua.alioth.debian.org/
 
 Package: lua5.1-policy
 Architecture: all

## lua5.1-policy 20

=== debian/changelog ===
lua5.1-policy (20) unstable; urgency=low

  * relocated in the svn repository, thus Vcs-* have been updated accordingly

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Apr 2008 10:52:39 +0200

lua5.1-policy (19) unstable; urgency=low

  * Run tests setting HOME, some buildds (most notably mipsel) have HOME
    set to an existing but not readable/writeable directory and that 
    makes some software (most notably svn) fail
  * Fixed Vcs fields in control file
  * Fixed spelling errors

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 19 Mar 2008 16:39:26 +0100

lua5.1-policy (18) unstable; urgency=low

  * fixed app.c.conf generation using package name dependent stamps so that it
    is generated for every module.

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 12 Dec 2007 19:21:26 +0100

=== debian/control ===
Source: lua5.1-policy
Section: doc
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), markdown
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1-policy
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1-policy
Homepage: http://pkg-lua.alioth.debian.org/

Package: lua5.1-policy
Architecture: all
Depends: 
Description: lua5.1 Debian policy
 This package contains the Debian policy for the Debian packages relative to
 the lua5.1 scripting language.

Package: lua5.1-policy-dev
Section: devel
Recommends: subversion
Architecture: all
Depends: libtool, pkg-config, lua5.1, liblua5.1-0-dev, cdbs (>= 0.4.33), make
Description: lua5.1 Debian policy - template and scripts
 This package contains some template/support files (like a generic Makefile, a
 generic test application...) that can be used by lua libraries at compile
 time. It also includes a simple script that sets up an svn directory
 conforming to svn-buildpackage and populates it with the standard files needed
 to use lua5.1-policy-dev at build time. Obviously packages made using
 lua5.1-policy-dev will conform to the policy contained in lua5.1-policy.

## lua5.1-policy 21

=== Makefile ===
all:
	make -C doc
install:
	cp bin/* debian/lua5.1-policy-dev/usr/bin/
	cp templates/* debian/lua5.1-policy-dev/usr/share/lua5.1-policy-dev
clean:
	make -C doc clean

=== debian/changelog ===
lua5.1-policy (21) unstable; urgency=low

  * use /usr/lib/ as libtool -rpath option
  * fixed name in control, Lua instead of lua 
  * added ${misc:Depends} to control to make lintina happy
  * bumped Standards-version to 3.8.1, no changes needed
  * avoid double / in some path not adding it after $(PREFIX) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 May 2009 19:19:07 +0200

=== debian/control ===
Source: lua5.1-policy
Section: doc
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), markdown
Standards-Version: 3.8.1
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1-policy
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1-policy
Homepage: http://pkg-lua.alioth.debian.org/

Package: lua5.1-policy
Architecture: all
Depends: ${misc:Depends}
Description: Lua 5.1 Debian policy
 This package contains the Debian policy for the Debian packages relative to
 the lua5.1 scripting language.

Package: lua5.1-policy-dev
Section: devel
Recommends: subversion
Architecture: all
Depends: libtool, pkg-config, lua5.1, liblua5.1-0-dev, cdbs (>= 0.4.33), make, ${misc:Depends}
Description: Lua 5.1 Debian policy - template and scripts
 This package contains some template/support files (like a generic Makefile, a
 generic test application...) that can be used by Lua libraries at compile
 time. It also includes a simple script that sets up an svn directory
 conforming to svn-buildpackage and populates it with the standard files needed
 to use lua5.1-policy-dev at build time. Obviously packages made using
 lua5.1-policy-dev will conform to the policy contained in lua5.1-policy.

## lua5.1-policy 26~bpo50+1

=== debian/changelog ===
lua5.1-policy (26~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Dec 2009 00:58:32 +0100

lua5.1-policy (26) unstable; urgency=low

  * added -Wl,--no-add-needed to all linking commands, to ease the switch
    biutils-gold 
  * new config variable CLIB_LDFLAGS_STATIC used when statically linking the
    application test (only done if LUA_TEST is not empty)
  * updated the doc mentioning CLIB_LDFLAGS_STATIC
  * bumped Standards-version to 3.8.3, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Nov 2009 21:56:32 +0100

lua5.1-policy (25) unstable; urgency=low

  * generate .h files with comments that conform C89

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 20 Aug 2009 19:07:03 +0200

lua5.1-policy (24) unstable; urgency=low

  * lua.mk: fixed typo in ifdef, double inclusion was not avoided 
  * create-svn-layout: rules file svn-added after doing chmod a+x 
  * template watch file: set luaforge project number to XXX instead of
    a valid, but wrong, one.

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 20 Aug 2009 17:34:07 +0200

lua5.1-policy (23) unstable; urgency=low

  * added template rules file

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 20 Aug 2009 13:05:18 +0200

lua5.1-policy (22) unstable; urgency=low

  * override LUA_INIT, avoids build failures in dirty environments 
    (Closes: #507408)
  * CDBS class lua.mk, to essentially replace the standard debian/rules
  * lua-policy-apply removed, not needed anymore since files are
    directly used from /usr/share/
  * bumped standards-version to 3.8.2, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 18:17:30 +0200

## lua5.1-policy 26

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), markdown
-Standards-Version: 3.8.1
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5.0.0), markdown
+Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1-policy
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1-policy
 Homepage: http://pkg-lua.alioth.debian.org/

## lua5.1-policy 27

=== debian/changelog ===
lua5.1-policy (27) unstable; urgency=low

  * do not ship .la files
  * removed libtool_lib from .pc (conforming with debian policy 3.9.1)
  * updated standards-version to 3.9.1, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 20 Feb 2011 14:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5.0.0), markdown
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1-policy
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1-policy
 Homepage: http://pkg-lua.alioth.debian.org/

## lua5.1-policy 28

=== debian/changelog ===
lua5.1-policy (28) unstable; urgency=low

  * app.c properly handles command line arguments read as "..."

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 May 2011 15:23:44 +0200

## lua5.1-policy 29

=== debian/changelog ===
lua5.1-policy (29) unstable; urgency=low

  * use catchsegv when running tests (Thanks Peter Odding for suggesting that)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 May 2011 20:37:19 +0200

## lua5.1-policy 30

=== debian/changelog ===
lua5.1-policy (30) unstable; urgency=low

  * SEGFAULT_SIGNALS=all for tests, so that SIGBUS is catched too

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 May 2011 16:32:45 +0200

## lua5.1-policy 31

=== debian/changelog ===
lua5.1-policy (31) unstable; urgency=low

  * Rework liker lines, kudos to Colin (Closes: #627394, LP: #770817)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 May 2011 22:17:26 +0200

## lua5.1-policy 33

=== debian/changelog ===
lua5.1-policy (33) unstable; urgency=low

  * Source format 3.0 (native)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 18:26:08 +0200

lua5.1-policy (32) unstable; urgency=low

  * Some paths fixed to be Multi-Arch compliant
  * Updated standards-version to 3.9.2, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 11:15:14 +0200

## lua5.1-policy 33+nmu1

=== Makefile ===
all:
	make -C doc
install:
	cp bin/* debian/lua5.1-policy-dev/usr/bin/
	cp templates/* debian/lua5.1-policy-dev/usr/share/lua5.1-policy-dev
	mv debian/lua5.1-policy-dev/usr/share/lua5.1-policy-dev/lua.mk \
			debian/lua5.1-policy-dev/usr/share/cdbs/1/class/
clean:
	make -C doc clean

=== doc/Makefile ===
all: html/policy.html

used-vars:
	lua get_used_vars.lua 

html/%.html:%.txt
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' > $@
	echo "<html>" >> $@
	echo "<head>" >> $@
        # assume first line of markdown is main header to use for page title
	echo "<title>$(shell head -n 1 $<)</title>" >> $@
	echo '<link type="text/css" rel="stylesheet" href="style.css"/>' >> $@
	echo "</head>" >> $@
	echo "<body>" >> $@
	markdown $< >> $@
	echo "</body>" >> $@
	echo "</html>" >> $@
	#tidy -e -q $@ || (rm $@ && false)

clean:
	rm -f html/policy.html

=== debian/changelog ===
lua5.1-policy (33+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 12:37:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5.0.0), markdown
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1-policy
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1-policy
 Homepage: http://pkg-lua.alioth.debian.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INSTALL_TARGET= install 

# work around cdbs bug #284231
unpatch: deapply-dpatches
